Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4372 closed enhancement (fixed)

STM32H7: SDMMC driver

Reported by: Christian Mauderer Owned by: Christian Mauderer
Priority: normal Milestone:
Component: bsps Version:
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The STM32H7 BSP is missing a SDMMC driver.

Change History (6)

comment:1 Changed on 04/01/21 at 07:08:43 by Christian Mauderer <christian.mauderer@…>

In [changeset:"aa9e3c621129c612ecfe90e34636aa0765e9a3ee/rtems" aa9e3c62/rtems]:

stm32h7: Add SDMMC modules to clock

Update #4372

comment:2 Changed on 04/01/21 at 07:08:47 by Christian Mauderer <christian.mauderer@…>

In [changeset:"8fd29cfbc5c911c46f065e36389c3d246aa97854/rtems" 8fd29cfb/rtems]:

stm32h7: Add init for sdmmc pins

Update #4372

comment:3 Changed on 04/01/21 at 07:11:00 by Christian Mauderer <christian.mauderer@…>

In [changeset:"20893c5cfd31af74752b03820d10f941908e1cb0/rtems-docs" 20893c5/rtems-docs]:

user/bsps: Add STM32H7 SDMMC driver

Update #4372

comment:4 Changed on 04/01/21 at 07:19:03 by Christian Mauderer

rtems-libbsd master:

[changeset:"6064dbfcc4a8ba1e9b2cbe9edcb02e27bbca1e2c/rtems-libbsd"]: testsuite/media01: Enable md5 command
[changeset:"d7bdff489d3a33d195ec9cd3d6be1370d319dcb4/rtems-libbsd"]: testsuite/media01: Add pattern test
[changeset:"1bb4a56e4d7804bed0e44cd2204a1fce22a4011c/rtems-libbsd"]: STM32H7: Add SDMMC driver

rtems-libbsd 6-freebsd-12:

[changeset:"43ae62ed7fd1334a6317142633f50a660f272bb1/rtems-libbsd"]: testsuite/media01: Enable md5 command
[changeset:"2caeaafb9287c1aaef471fc513e97faaaa522b31/rtems-libbsd"]: testsuite/media01: Add pattern test
[changeset:"e0fcb31f0162ec61126e5dfe11eaa14a36d0a5c3/rtems-libbsd"]: STM32H7: Add SDMMC driver

comment:5 Changed on 04/01/21 at 07:19:27 by Christian Mauderer

Resolution: fixed
Status: assignedclosed

comment:6 Changed on 07/31/23 at 16:11:59 by Karel Gardas <karel@…>

In [changeset:"1e99148578f8a2f79ee087ce93a656a37abd3104/rtems" 1e991485/rtems]:

bsps/stm32h7: Add init for sdmmc pins

Re-apply based on:

commit 8fd29cfbc5c911c46f065e36389c3d246aa97854
Author: Christian Mauderer <christian.mauderer@…>
Date: Tue Mar 2 16:14:41 2021 +0100

stm32h7: Add init for sdmmc pins

Update #4372

Note: See TracTickets for help on using tickets.